<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" indent="yes" encoding="UTF-8"/>
  <xsl:strip-space elements="*" />

<!-- topic processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:LegalAddress']">
  <xsl:variable name="title" select="'Legal Address'"/>
  <tr><td colspan="3"><strong><xsl:value-of select="$title"/></strong></td></tr>

  <xsl:apply-templates select="group"/>
</xsl:template>


<!-- topic-comment processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:LegalAddress']/group[@type='cr:TopicComments.Row']">
  <tr valign="top"><td/><td/>
    <xsl:call-template name="td_comment"/>
  </tr>
  <tr><td colspan="3"><br/></td></tr>
</xsl:template>


<!-- row-comment processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:LegalAddress.Row']/group[@type='cr:RowComments.Row']">
<tr valign="top">
  <xsl:call-template name="LegalAddress.Row.start"/>
  <xsl:call-template name="td_comment"/>
</tr>
</xsl:template>


<!-- row processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:LegalAddress.Row']">
  <xsl:apply-templates select="group|item"/>
  <xsl:call-template name="row_timestamps" />
  <tr><td colspan="3"><br/></td></tr>
</xsl:template>


<!-- row-item processing  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:LegalAddress.Row']/item[position()>1]" />

<xsl:template match="group[@type='cr:LegalAddress.Row']/item[1]">

<tr valign="top">
  <xsl:call-template name="LegalAddress.Row.start"/>
  <td>
    <xsl:call-template name="row_address">
      <xsl:with-param name="Ttype" select="''"/>
      <xsl:with-param name="Tname" select="''"/>
    </xsl:call-template>
  </td>
</tr>

</xsl:template>

<!-- row start - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template name="LegalAddress.Row.start">
  <td/>
  <td>
  <xsl:choose>
    <xsl:when test="position() = 1">
<xsl:text>:</xsl:text>
    </xsl:when>
    <xsl:otherwise>
<xsl:text> </xsl:text>
    </xsl:otherwise>
  </xsl:choose>
  </td>
</xsl:template>


</xsl:stylesheet>
