<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" indent="yes" encoding="UTF-8"/>
  <xsl:strip-space elements="*" />

<!-- topic processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:OtherAddresses']">
  <xsl:variable name="title" select="'Other Addresses'"/>
  <tr><td colspan="3"><strong><xsl:value-of select="$title"/></strong></td></tr>

  <xsl:apply-templates select="group"/>
</xsl:template>


<!-- topic-comment processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:OtherAddresses']/group[@type='cr:TopicComments.Row']">
  <tr valign="top"><td/><td/>
    <xsl:call-template name="td_comment"/>
  </tr>
  <tr><td colspan="3"><br/></td></tr>
</xsl:template>


<!-- row-comment processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:OtherAddresses.Row']/group[@type='cr:RowComments.Row']">
<tr valign="top">
  <xsl:call-template name="OtherAddresses.Row.start"/>
  <xsl:call-template name="td_comment"/>
</tr>
</xsl:template>


<!-- row processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:OtherAddresses.Row']">
  <xsl:apply-templates select="group|item"/>
  <xsl:call-template name="row_timestamps" />
  <tr><td colspan="3"><br/></td></tr>
</xsl:template>


<!-- row-item processing  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:OtherAddresses.Row']/item[position()>1]" />

<xsl:template match="group[@type='cr:OtherAddresses.Row']/item[1]">

<tr valign="top">
  <xsl:call-template name="OtherAddresses.Row.start"/>
  <td>
    <xsl:variable name="Type" select="../item[@type='type']"/>
<xsl:if test="$Type and $Type != 'other'">
<i><xsl:value-of select="$Type"/>:</i><br/>
</xsl:if>
    <xsl:call-template name="row_address">
      <xsl:with-param name="Ttype" select="''"/>
      <xsl:with-param name="Tname" select="''"/>
    </xsl:call-template>
  </td>
</tr>

</xsl:template>


<!-- row start - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template name="OtherAddresses.Row.start">
  <xsl:choose>
    <xsl:when test="position() = 1">
<td/><td>:</td>
    </xsl:when>
    <xsl:otherwise>
<td/><td/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>


</xsl:stylesheet>
