<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" indent="yes" encoding="UTF-8"/>
  <xsl:strip-space elements="*" />

<!-- topic processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:CapitalHistory']">
  <xsl:variable name="title" select="'Share Capital History'"/>
  <tr><td colspan="3"><strong><xsl:value-of select="$title"/></strong></td></tr>

  <xsl:apply-templates select="group|item"/>
</xsl:template>


<!-- mandatory topic n/a processing  - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:CapitalHistory']/item">
  <tr valign="top">
    <td/><td>:</td><td><xsl:value-of select="."/></td>
  </tr>
  <xsl:call-template name="tr_empty"/>
</xsl:template>


<!-- topic-comment processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:CapitalHistory']/group[@type='cr:TopicComments.Row']">
  <tr valign="top"><td/><td/>
    <xsl:call-template name="td_comment"/>
  </tr>
  <tr><td colspan="3"><br/></td></tr>
</xsl:template>


<!-- row-comment processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:CapitalHistory.Row']/group[@type='cr:RowComments.Row']">
<tr valign="top">
  <xsl:call-template name="CapitalHistory.Row.start"/>
  <xsl:call-template name="td_comment"/>
</tr>
</xsl:template>


<!-- row processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:CapitalHistory.Row']">

  <xsl:apply-templates select="group|item"/>

  <xsl:call-template name="row_timestamps" />

  <tr><td colspan="3"><br/></td></tr>

</xsl:template>


<!-- row-item processing  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:CapitalHistory.Row']/item[position()>1]" />

<xsl:template match="group[@type='cr:CapitalHistory.Row']/item[1]">

  <xsl:variable name="Type"       select="../item[@type='type']"/>
  <xsl:variable name="Value"      select="../item[@type='value']"/>
  <xsl:variable name="Currency"   select="../item[@type='currency']"/>
  <xsl:variable name="IsValueEst" select="../item[@type='is.value.est']"/>

<tr valign="top">
  <xsl:call-template name="CapitalHistory.Row.start"/>
  <td>
    <table cellSpacing="0" cellPadding="0" width="95%">
      <colgroup><col width="385"/><col width="115"/></colgroup>
      <tr>
        <td>
          <xsl:value-of select="$Value"/><xsl:text> </xsl:text><xsl:value-of select="$Currency"/>
          <xsl:if test="$IsValueEst='true'">
            <xsl:text> [E]</xsl:text>
          </xsl:if>
          <xsl:if test="$Type">
            <xsl:text> </xsl:text><i>(<xsl:value-of select="$Type"/>)</i>
          </xsl:if>
        </td>
      </tr>
    </table>
  </td>
</tr>

</xsl:template>


<!-- row start - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template name="CapitalHistory.Row.start">
  <xsl:choose>
    <xsl:when test="position() = 1">
      <xsl:variable name="Date"       select="../item[@type='date']"/>
<td><xsl:value-of select="$Date"/></td><td>:</td>
    </xsl:when>
    <xsl:otherwise>
<td/><td/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>


</xsl:stylesheet>
