<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" indent="yes" encoding="UTF-8"/>
  <xsl:strip-space elements="*" />

<!-- topic processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:Comments']">
  <xsl:variable name="title" select="'Comments'"/>
  <tr><td colspan="3"><strong><xsl:value-of select="$title"/></strong></td></tr>

  <xsl:apply-templates select="group"/>
</xsl:template>


<!-- topic-comment processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:Comments']/group[@type='cr:TopicComments.Row']">
  <tr valign="top"><td/><td/>
    <xsl:call-template name="td_comment"/>
  </tr>
  <xsl:call-template name="tr_empty"/>
</xsl:template>


<!-- row-comment processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:Comments.Row']/group[@type='cr:RowComments.Row']">
  <tr valign="top">
    <xsl:call-template name="Comments.Row.start"/>
    <xsl:call-template name="td_comment"/>
  </tr>
</xsl:template>


<!-- row processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:Comments.Row']">
  <xsl:apply-templates select="group|item"/>
  <xsl:call-template name="tr_empty"/>
</xsl:template>


<!-- row-item processing  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:Comments.Row']/item[position()>1]" />

<xsl:template match="group[@type='cr:Comments.Row']/item[1]">

  <xsl:variable name="Text" select="../item[@type='text']"/>

<tr valign="top">
  <xsl:call-template name="Comments.Row.start"/>
</tr>

<tr valign="top">
  <td colspan="3">
    <table cellSpacing="0" cellPadding="0" width="95%">
      <colgroup>
<col width="25"/>
<col width="575"/>
      </colgroup>
      <tr valign="top">
        <td/>
        <td>
          <xsl:call-template name="ag_replace">
            <xsl:with-param name="String"  select="$Text"/>
            <xsl:with-param name="Pattern" select="$NL"/>
            <xsl:with-param name="Replace" select="$BR"/>
          </xsl:call-template>
        </td>
      </tr>
    </table>
  </td>
</tr>

</xsl:template>


<!-- row start - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template name="Comments.Row.start">
  <xsl:choose>
    <xsl:when test="position() = 1 and @type='cr:RowComments.Row'">
<td/><td>:</td>
    </xsl:when>
    <xsl:otherwise>
<td/><td> </td>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>


</xsl:stylesheet>
