<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" indent="yes" encoding="UTF-8"/>
  <xsl:strip-space elements="*" />

<!-- topic processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:Contacts']">
  <xsl:variable name="title" select="'Contacts'"/>
  <tr><td colspan="3"><strong><xsl:value-of select="$title"/></strong></td></tr>

  <xsl:apply-templates select="group|item"/>
</xsl:template>


<!-- mandatory topic n/a processing  - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:Contacts']/item">
  <tr valign="top">
    <td/><td>:</td><td><xsl:value-of select="."/></td>
  </tr>
  <xsl:call-template name="tr_empty"/>
</xsl:template>


<!-- topic-comment processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:Contacts']/group[@type='cr:TopicComments.Row']">
  <tr valign="top"><td/><td/>
    <xsl:call-template name="td_comment"/>
  </tr>
  <tr><td colspan="3"><br/></td></tr>
</xsl:template>


<!-- row-comment processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:Contacts.Row']/group[@type='cr:RowComments.Row']">
<tr valign="top">
  <xsl:call-template name="Contacts.Row.start"/>
  <xsl:call-template name="td_comment"/>
</tr>
</xsl:template>


<!-- row processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:Contacts.Row']">

  <xsl:apply-templates select="group|item"/>

  <xsl:call-template name="row_timestamps" />

  <tr><td colspan="3"><br/></td></tr>

</xsl:template>


<!-- row-item processing  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:Contacts.Row']/item[position()>1]" />

<xsl:template match="group[@type='cr:Contacts.Row']/item[1]">

<tr valign="top">
  <xsl:call-template name="Contacts.Row.start"/>

  <xsl:variable name="Prefix"      select="../item[@type='prefix']"/>
  <xsl:variable name="Value"       select="../item[@type='value']"/>

  <td>
    <xsl:if test="$Prefix">(<xsl:value-of select="$Prefix"/>) </xsl:if>
    <xsl:value-of select="$Value"/>
  </td>
</tr>

</xsl:template>


<!-- row start - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template name="Contacts.Row.start">
  <xsl:choose>
    <xsl:when test="position() = 1">
      <xsl:variable name="Description" select="../item[@type='description']"/>
      <td><xsl:value-of select="$Description"/></td>
      <td><xsl:text>:</xsl:text></td>
    </xsl:when>
    <xsl:otherwise>
      <td></td>
      <td><xsl:text> </xsl:text></td>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>


</xsl:stylesheet>
