<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" indent="yes" encoding="UTF-8"/>
  <xsl:strip-space elements="*" />

<!-- topic processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:EmployeesHistory']">
  <xsl:variable name="title" select="'Employees History'"/>
  <tr><td colspan="3"><strong><xsl:value-of select="$title"/></strong></td></tr>

  <xsl:apply-templates select="group"/>
</xsl:template>


<!-- topic-comment processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:EmployeesHistory']/group[@type='cr:TopicComments.Row']">
  <tr valign="top"><td/><td/>
    <xsl:call-template name="td_comment"/>
  </tr>
  <xsl:call-template name="tr_empty"/>
</xsl:template>


<!-- row-comment processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:EmployeesHistory.Row']/group[@type='cr:RowComments.Row']">
  <tr valign="top">
    <xsl:call-template name="EmployeesHistory.Row.start"/>
    <xsl:call-template name="td_comment"/>
  </tr>
</xsl:template>


<!-- row processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:EmployeesHistory.Row']">
  <xsl:apply-templates select="group|item"/>
  <xsl:call-template name="row_timestamps" />
  <xsl:call-template name="tr_empty"/>
</xsl:template>


<!-- row-item processing  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:EmployeesHistory.Row']/item[position()>1]" />

<xsl:template match="group[@type='cr:EmployeesHistory.Row']/item[1]">

  <xsl:variable name="IsEstimated" select="../item[@type='is.estimated']"/>
  <xsl:variable name="Number"      select="../item[@type='number']"/>
  <xsl:variable name="Range"       select="../item[@type='range']"/>

<tr valign="top">
  <xsl:call-template name="EmployeesHistory.Row.start"/>
  <td>
    <xsl:choose>
      <xsl:when test="$Number">
        <xsl:value-of select="$Number"/>
        <xsl:if test="$IsEstimated='true'">
          <xsl:text> [E]</xsl:text>
        </xsl:if>
      </xsl:when>
      <xsl:when test="$Range">
        <xsl:text>range </xsl:text>
        <xsl:value-of select="$Range"/>
        <xsl:if test="$IsEstimated='true'">
          <xsl:text> [E]</xsl:text>
        </xsl:if>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>n/a</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
  </td>
</tr>

</xsl:template>


<!-- row start - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template name="EmployeesHistory.Row.start">
<td/>
  <xsl:choose>
    <xsl:when test="position() = 1">
<td>:</td>
    </xsl:when>
    <xsl:otherwise>
<td> </td>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>


</xsl:stylesheet>
