<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
>
  <xsl:output method="html" indent="yes" encoding="UTF-8"/>
<!--
xmlns:fn="http://www.w3.org/2005/04/xpath-functions"
  <xsl:strip-space elements="*" />
-->

<!-- topic processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:Foundation']">
  <xsl:variable name="title" select="'Year of Foundation'"/>
  <tr><td colspan="3"><strong><xsl:value-of select="$title"/></strong></td></tr>

  <xsl:apply-templates select="group|item"/>
</xsl:template>


<!-- mandatory topic n/a processing  - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:Foundation']/item">
  <tr valign="top">
    <td/><td>:</td><td><xsl:value-of select="."/></td>
  </tr>
  <xsl:call-template name="tr_empty"/>
</xsl:template>


<!-- topic-comment processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:Foundation']/group[@type='cr:TopicComments.Row']">
  <tr valign="top"><td/><td/>
    <xsl:call-template name="td_comment"/>
  </tr>
  <tr><td colspan="3"><br/></td></tr>
</xsl:template>


<!-- row-comment processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:Foundation.Row']/group[@type='cr:RowComments.Row']">
<tr valign="top">
  <xsl:call-template name="Foundation.Row.start"/>
  <xsl:call-template name="td_comment"/>
</tr>
</xsl:template>


<!-- row processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:Foundation.Row']">

  <xsl:apply-templates select="group|item"/>

  <xsl:call-template name="row_timestamps" />

  <tr><td colspan="3"><br/></td></tr>

</xsl:template>


<!-- row-item processing  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:Foundation.Row']/item[position()>1]" />

<xsl:template match="group[@type='cr:Foundation.Row']/item[1]">

<tr valign="top">
  <xsl:call-template name="Foundation.Row.start"/>

  <xsl:variable name="Date"    select="../item[@type='date']"/>
<!-- <xsl:variable name="Event"   select="../item[@type='event']"/> -->
  <xsl:variable name="Subject" select="../item[@type='subject']"/>
  <xsl:variable name="Text"    select="../item[@type='text']"/>

  <td>
    <xsl:value-of select="$Date"/><br/>
    <xsl:if test="$Text">
      <xsl:call-template name="ag_replace">
        <xsl:with-param name="String"  select="$Text"/>
        <xsl:with-param name="Pattern" select="$NL"/>
        <xsl:with-param name="Replace" select="$BR"/>
      </xsl:call-template>
    </xsl:if>
  </td>
</tr>

</xsl:template>


<!-- row start - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template name="Foundation.Row.start">
  <xsl:choose>
    <xsl:when test="position() = 1">
      <td></td>
      <td><xsl:text>:</xsl:text></td>
    </xsl:when>
    <xsl:otherwise>
      <td></td>
      <td><xsl:text> </xsl:text></td>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>


</xsl:stylesheet>
