<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
>
  <xsl:output method="html" indent="yes" encoding="UTF-8"/>
<!--
xmlns:fn="http://www.w3.org/2005/04/xpath-functions"
  <xsl:strip-space elements="*" />
-->

<!-- topic processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:EventsHistory']">
  <xsl:variable name="title" select="'Events History'"/>
  <tr><td colspan="3"><strong><xsl:value-of select="$title"/></strong></td></tr>

  <xsl:apply-templates select="group"/>
</xsl:template>


<!-- topic-comment processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:EventsHistory']/group[@type='cr:TopicComments.Row']">
  <tr valign="top"><td/><td/>
    <xsl:call-template name="td_comment"/>
  </tr>
  <tr><td colspan="3"><br/></td></tr>
</xsl:template>


<!-- row-comment processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:EventsHistory.Row']/group[@type='cr:RowComments.Row']">
<tr valign="top">
  <xsl:call-template name="EventsHistory.Row.start"/>
  <xsl:call-template name="td_comment"/>
</tr>
</xsl:template>


<!-- row processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:EventsHistory.Row']">

  <xsl:apply-templates select="group|item"/>

  <xsl:call-template name="row_timestamps" />

  <tr><td colspan="3"><br/></td></tr>

</xsl:template>


<!-- row-item processing  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:EventsHistory.Row']/item[position()>1]" />

<xsl:template match="group[@type='cr:EventsHistory.Row']/item[1]">

<tr valign="top">
  <xsl:call-template name="EventsHistory.Row.start"/>

<!-- <xsl:variable name="Event"   select="../item[@type='event']"/> -->
  <xsl:variable name="Subject" select="../item[@type='subject']"/>
  <xsl:variable name="Text"    select="../item[@type='text']"/>

  <td>
    <xsl:if test="$Subject">
      <xsl:value-of select="$Subject"/><br/>
    </xsl:if>
    <xsl:if test="$Text">
      <xsl:call-template name="ag_replace">
        <xsl:with-param name="String"  select="$Text"/>
        <xsl:with-param name="Pattern" select="$NL"/>
        <xsl:with-param name="Replace" select="$BR"/>
      </xsl:call-template>
    </xsl:if>
  </td>
</tr>

</xsl:template>


<!-- row start - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template name="EventsHistory.Row.start">
  <xsl:choose>
    <xsl:when test="position() = 1">
      <xsl:variable name="Date"       select="../item[@type='date']"/>
<td><xsl:value-of select="$Date"/></td><td>:</td>
    </xsl:when>
    <xsl:otherwise>
<td/><td/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>


</xsl:stylesheet>
