<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" indent="yes" encoding="UTF-8"/>
  <xsl:strip-space elements="*" />

<!-- topic processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:ExportImport']">
  <xsl:variable name="title" select="'Export / Import'"/>
  <tr><td colspan="3"><strong><xsl:value-of select="$title"/></strong></td></tr>

  <xsl:apply-templates select="group"/>
</xsl:template>


<!-- topic-comment processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:ExportImport']/group[@type='cr:TopicComments.Row']">
  <tr valign="top"><td/><td/>
    <xsl:call-template name="td_comment"/>
  </tr>
  <xsl:call-template name="tr_empty"/>
</xsl:template>


<!-- row-comment processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:ExportImport.Row']/group[@type='cr:RowComments.Row']">
  <tr valign="top">
    <xsl:call-template name="ExportImport.Row.start"/>
    <xsl:call-template name="td_comment"/>
  </tr>
</xsl:template>


<!-- row processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:ExportImport.Row']">
  <xsl:apply-templates select="group|item"/>
  <xsl:call-template name="row_timestamps" />
  <xsl:call-template name="tr_empty"/>
</xsl:template>


<!-- row-item processing  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:ExportImport.Row']/item[position()>1]" />

<xsl:template match="group[@type='cr:ExportImport.Row']/item[1]">

<!--
  <xsl:variable name="Type"        select="../item[@type='type']"/>
-->
  <xsl:variable name="IsPresence"  select="../item[@type='is.presence']"/>
  <xsl:variable name="Months"      select="../item[@type='months']"/>
  <xsl:variable name="Amount"      select="../item[@type='amount']"/>
  <xsl:variable name="IsAmountEst" select="../item[@type='is.amount.est']"/>
  <xsl:variable name="Currency"    select="../item[@type='currency']"/>
  <xsl:variable name="Countries"   select="../item[@type='countries']"/>

<tr valign="top">
  <xsl:call-template name="ExportImport.Row.start"/>
  <td>
    <xsl:choose>
      <xsl:when test="$IsPresence = 'true'">
        <xsl:text>yes</xsl:text>
      </xsl:when>
      <xsl:when test="$IsPresence = 'false'">
        <xsl:text>none</xsl:text>
      </xsl:when>
      <xsl:otherwise/>
    </xsl:choose>
    <xsl:if test="$Amount">
      <table cellSpacing="0" cellPadding="0" width="95%">
        <colgroup>
<col width="370"/>
<col width="200"/>
<col width="30"/>
        </colgroup>
        <tr valign="top">
          <td>
Fiscal period: <i><xsl:value-of select="$Months"/></i> month(s), 
currency: <i><xsl:value-of select="$Currency"/></i>
          </td>
          <td align="right">
            <xsl:value-of select="$Amount"/>
          </td>
          <td align="right">
            <xsl:if test="$IsAmountEst = 'true'">
              <xsl:text>[E]</xsl:text>
            </xsl:if>
          </td>
        </tr>
        <tr><td/><td/><td/></tr>
      </table>
    </xsl:if>
    <xsl:if test="$Countries">
      <xsl:value-of select="$Countries"/>
    </xsl:if>
  </td>
</tr>

</xsl:template>


<!-- row start - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template name="ExportImport.Row.start">
  <xsl:choose>
    <xsl:when test="position() = 1">
      <xsl:variable name="Revision"    select="../item[@type='revision']"/>
<td><xsl:value-of select="$Revision"/></td><td>:</td>
    </xsl:when>
    <xsl:otherwise>
<td/><td/>
    </xsl:otherwise>
  </xsl:choose> 
</xsl:template>


</xsl:stylesheet>
