<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" indent="yes" encoding="UTF-8"/>
  <xsl:strip-space elements="*" />

<!-- topic processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:LegalForm']">
  <xsl:variable name="title" select="'Legal Form'"/>
  <tr><td colspan="3"><strong><xsl:value-of select="$title"/></strong></td></tr>

  <xsl:apply-templates select="group|item"/>
</xsl:template>


<!-- mandatory topic n/a processing  - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:LegalForm']/item">
  <tr valign="top">
    <td/><td>:</td><td><xsl:value-of select="."/></td>
  </tr>
  <xsl:call-template name="tr_empty"/>
</xsl:template>


<!-- topic-comment processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:LegalForm']/group[@type='cr:TopicComments.Row']">
  <tr valign="top"><td/><td/>
    <xsl:call-template name="td_comment"/>
  </tr>
  <tr><td colspan="3"><br/></td></tr>
</xsl:template>


<!-- row-comment processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:LegalForm.Row']/group[@type='cr:RowComments.Row']">
<tr valign="top">
  <xsl:call-template name="LegalForm.Row.start"/>
  <xsl:call-template name="td_comment"/>
</tr>
</xsl:template>


<!-- row processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:LegalForm.Row']">

  <xsl:apply-templates select="group|item"/>

  <xsl:call-template name="row_timestamps" />

  <tr><td colspan="3"><br/></td></tr>

</xsl:template>


<!-- row-item processing  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:LegalForm.Row']/item[position()>1]" />

<xsl:template match="group[@type='cr:LegalForm.Row']/item[1]">

<tr valign="top">
  <xsl:call-template name="LegalForm.Row.start"/>

  <xsl:variable name="Date"    select="../item[@type='date']"/>
  <xsl:variable name="Country" select="../item[@type='country']"/>
  <xsl:variable name="Form"    select="../item[@type='form']"/>

  <td>
    <table cellSpacing="0" cellPadding="0" width="95%">
      <colgroup><col width="385"/><col width="115"/></colgroup>
      <tr>
        <td><xsl:value-of select="$Form"/></td>
        <td align="right">since <xsl:value-of select="$Date"/></td>
      </tr>
    </table>
  </td>

</tr>

</xsl:template>


<!-- row start - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template name="LegalForm.Row.start">
  <td/>
  <td>
  <xsl:choose>
    <xsl:when test="position() = 1">
<xsl:text>:</xsl:text>
    </xsl:when>
    <xsl:otherwise>
<xsl:text> </xsl:text>
    </xsl:otherwise>
  </xsl:choose>
  </td>
</xsl:template>


</xsl:stylesheet>
