<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" indent="yes" encoding="UTF-8"/>
  <xsl:strip-space elements="*" />

<!-- topic processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:SignatureRight']">
<!--
  This topic: no Topic comments,
              Topic.Row doesn't contain address and rowComments.
-->
  <xsl:variable name="title" select="'Signature Right'"/>
  <tr><td colspan="3"><i><strong><xsl:value-of select="$title"/></strong></i></td></tr>
  <xsl:apply-templates select="group"/>
</xsl:template>


<!-- topic-comment processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:SignatureRight']/group[@type='cr:TopicComments.Row']">
  <tr valign="top"><td/><td/>
    <xsl:call-template name="td_comment"/>
  </tr>
  <xsl:call-template name="tr_empty"/>
</xsl:template>


<!-- row-comment processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:SignatureRight.Row']/group[@type='cr:RowComments.Row']">
  <tr valign="top">
    <xsl:call-template name="SignatureRight.Row.start"/>
    <xsl:call-template name="td_comment"/>
  </tr>
</xsl:template>


<!-- row processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:SignatureRight.Row']">
  <xsl:apply-templates select="group|item"/>
  <xsl:call-template name="row_timestamps" />
  <xsl:call-template name="tr_empty"/>
</xsl:template>


<!-- row-item processing  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:SignatureRight.Row']/item[position()>1]" />

<xsl:template match="group[@type='cr:SignatureRight.Row']/item[1]">

  <xsl:variable name="Name"            select="../item[@type='name']"/>
  <xsl:variable name="Gender"          select="../item[@type='gender']"/>

<tr valign="top">
  <xsl:call-template name="SignatureRight.Row.start"/>
  <td>
    <table cellSpacing="0" cellPadding="0" width="95%">
      <colgroup>
<col width="145"/>
<col width="10"/>
<col width="345"/>
      </colgroup>
      <tr valign="top">
        <td colspan="3">
          <xsl:choose>
            <xsl:when test="$Gender = 'male'">Mr </xsl:when>
            <xsl:when test="$Gender = 'female'">Mrs </xsl:when>
            <xsl:otherwise/>
          </xsl:choose>
          <xsl:value-of select="$Name"/>
        </td>
      </tr>
    </table>
  </td>
</tr>
</xsl:template>


<!-- row start - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template name="SignatureRight.Row.start">
  <xsl:choose>
    <xsl:when test="position() = 1">
<!-- this topic: no board, no executive
      <xsl:variable name="Position"     select="../item[@type='as.board']"/>
<td><xsl:value-of select="$Position"/></td><td>:</td>
-->
<td/><td>:</td>
    </xsl:when>
    <xsl:otherwise>
<td/><td> </td>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>


</xsl:stylesheet>
