<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" indent="yes" encoding="UTF-8"/>
  <xsl:strip-space elements="*" />

<!-- topic processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:PreviousNames']">
  <xsl:variable name="title" select="'Previous Names'"/>
  <tr><td colspan="3"><strong><xsl:value-of select="$title"/></strong></td></tr>

  <xsl:apply-templates select="group"/>
</xsl:template>


<!-- topic-comment processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:PreviousNames']/group[@type='cr:TopicComments.Row']">
  <tr valign="top"><td/><td/>
    <xsl:call-template name="td_comment"/>
  </tr>
  <tr><td colspan="3"><br/></td></tr>
</xsl:template>


<!-- row-comment processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:PreviousNames.Row']/group[@type='cr:RowComments.Row']">
  <tr valign="top"><td/><td/>
    <xsl:call-template name="td_comment"/>
  </tr>
</xsl:template>


<!-- row processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:PreviousNames.Row']">
  <xsl:apply-templates select="group|item"/>

  <xsl:call-template name="row_timestamps" />

  <tr><td colspan="3"><br/></td></tr>
</xsl:template>


<!-- row-item processing  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:PreviousNames.Row']/item">
  <xsl:choose>
    <xsl:when test="@type='name'">
  <tr><td>Name</td><td>:</td><td><xsl:value-of select="."/></td></tr>
    </xsl:when>

    <xsl:when test="@type='fullname'">
  <tr><td>Full Name</td><td>:</td><td><xsl:value-of select="."/></td></tr>
    </xsl:when>

    <xsl:when test="@type='name.en'">
  <tr><td>Name in English</td><td>:</td><td><xsl:value-of select="."/></td></tr>
    </xsl:when>

    <xsl:when test="@type='origname'">
  <tr><td>Original Name</td><td>:</td><td><xsl:value-of select="."/></td></tr>
    </xsl:when>

<!--
    <xsl:when test="contains('row.timestamp;row.cancelled;is.row.cancelled.since',@type)">
    </xsl:when>
-->
    <xsl:otherwise>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>


</xsl:stylesheet>
