<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" indent="yes" encoding="UTF-8"/>
  <xsl:strip-space elements="*" />

<!-- topic processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:RelatedCompanies']">
  <xsl:variable name="title" select="'Related Companies'"/>
  <tr><td colspan="3"><strong><xsl:value-of select="$title"/></strong></td></tr>

  <xsl:apply-templates select="group"/>
</xsl:template>


<!-- topic-comment processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:RelatedCompanies']/group[@type='cr:TopicComments.Row']">
  <tr valign="top"><td/><td/>
    <xsl:call-template name="td_comment"/>
  </tr>
  <xsl:call-template name="tr_empty"/>
</xsl:template>


<!-- row-comment processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:RelatedCompanies.Row']/group[@type='cr:RowComments.Row']">
  <tr valign="top">
    <xsl:call-template name="RelatedCompanies.Row.start"/>
    <xsl:call-template name="td_comment"/>
  </tr>
</xsl:template>


<!-- row processing - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:RelatedCompanies.Row']">
  <xsl:apply-templates select="group|item"/>
  <xsl:call-template name="row_timestamps" />
  <xsl:call-template name="tr_empty"/>
</xsl:template>


<!-- row-item processing  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template match="group[@type='cr:RelatedCompanies.Row']/item[position()>1]" />

<xsl:template match="group[@type='cr:RelatedCompanies.Row']/item[1]">

  <xsl:variable name="Name"            select="../item[@type='name']"/>
  <xsl:variable name="Igkno"           select="../item[@type='igkno']"/>
  <xsl:variable name="Origin"          select="../item[@type='origin']"/>
  <xsl:variable name="Regno"           select="../item[@type='regno']"/>
  <xsl:variable name="Addr.country"    select="../item[@type='addr.country']"/>
  <xsl:variable name="Addr.city"       select="../item[@type='addr.city']"/>
  <xsl:variable name="Addr.zip"        select="../item[@type='addr.zip']"/>
  <xsl:variable name="Addr.address"    select="../item[@type='addr.address']"/>

<tr valign="top">
  <xsl:call-template name="RelatedCompanies.Row.start"/>
  <td>
    <xsl:value-of select="$Name"/>
    <xsl:if test="$Origin">
      <xsl:text> </xsl:text>
<i>(
      <xsl:call-template name="row_address">
<xsl:with-param name="Ttype" select="''"></xsl:with-param>
<xsl:with-param name="Tname" select="''"></xsl:with-param>
<xsl:with-param name="Tcoun" select="'origin'"></xsl:with-param>
<xsl:with-param name="Tcity" select="''"></xsl:with-param>
<xsl:with-param name="Tzip"  select="''"></xsl:with-param>
<xsl:with-param name="Taddr" select="''"></xsl:with-param>
      </xsl:call-template>          
)</i>
    </xsl:if>
<br/>

<xsl:if test="$Regno|$Addr.country|$Addr.city|$Addr.zip|$Addr.address">
    <table cellSpacing="0" cellPadding="0" width="95%">
      <colgroup>
<col width="100"/>
<col width="10"/>
<col width="390"/>
      </colgroup>

    <xsl:if test="$Regno">
      <tr valign="top">
        <td align="right">reg. number</td><td> : </td>
        <td><xsl:value-of select="$Regno"/></td>
      </tr>
    </xsl:if>

    <xsl:if test="($Addr.country != $Origin) or ($Addr.city|$Addr.zip|$Addr.address)">
      <tr valign="top">
        <td align="right">address</td><td> : </td>
        <td>
          <xsl:call-template name="row_address">
<xsl:with-param name="Ttype" select="''"></xsl:with-param>
<xsl:with-param name="Tname" select="''"></xsl:with-param>
<xsl:with-param name="Tcoun" select="'addr.country'"></xsl:with-param>
<xsl:with-param name="Tcity" select="'addr.city'"></xsl:with-param>
<xsl:with-param name="Tzip"  select="'addr.zip'"></xsl:with-param>
<xsl:with-param name="Taddr" select="'addr.address'"></xsl:with-param>
          </xsl:call-template>          
        </td>
      </tr>
    </xsl:if>

    </table>
</xsl:if>
  </td>
</tr>

</xsl:template>


<!-- row start - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template name="RelatedCompanies.Row.start">
  <td/>
  <td>
  <xsl:choose>
    <xsl:when test="position() = 1">
<xsl:text>:</xsl:text>
    </xsl:when>
    <xsl:otherwise>
<xsl:text> </xsl:text>
    </xsl:otherwise>
  </xsl:choose>
  </td>
</xsl:template>


</xsl:stylesheet>
