<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" indent="yes" encoding="UTF-8"/>
<!--  <xsl:strip-space elements="*" /> -->
<!--
  <xsl:variable name="NL" select="'&#xA;'"/>
  <xsl:variable name="BR" select="'&lt;br/&gt;'"/>
-->

<xsl:template name="ag_replace">

<xsl:param name="String"  select="''"></xsl:param>
<xsl:param name="Pattern" select="$NL"></xsl:param>
<xsl:param name="Replace" select="$BR"></xsl:param>

<!-- 2.0
<xsl:value-of select="replace($String, $Pattern, $Replace)"/>

<xsl:text disable-output-escaping="yes">
&lt;br/&gt;
</xsl:text>
-->

  <xsl:variable name="s1" select="substring-before($String, $Pattern)"/>
  <xsl:variable name="s2" select="substring-after($String, $Pattern)"/>

  <xsl:choose>

    <xsl:when test="$s1 or $s2">

      <xsl:if test="$s1">
        <xsl:value-of select="$s1"/>
      </xsl:if>

      <xsl:choose>
        <xsl:when test="$Replace = $BR">
<br/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="$Replace"/>
        </xsl:otherwise>
      </xsl:choose>

      <xsl:if test="$s2">
        <xsl:call-template name="ag_replace">
          <xsl:with-param name="String"  select="$s2"/>
          <xsl:with-param name="Pattern" select="$Pattern"/>
          <xsl:with-param name="Replace" select="$Replace"/>
        </xsl:call-template>
      </xsl:if>
    </xsl:when>

    <xsl:otherwise>
      <xsl:value-of select="$String"/>
    </xsl:otherwise>
  </xsl:choose>

</xsl:template>

</xsl:stylesheet>
