<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" indent="yes" encoding="UTF-8"/>
<!--  <xsl:strip-space elements="*" /> -->

  <xsl:variable name="NL" select="'&#xA;'"/>
  <xsl:variable name="BR" select="'&lt;br/&gt;'"/>

<xsl:variable name="company_igkno"
 select="/document/group[@type='cr:Company Data']/group[@type='cr:Summary']/item[@type='igkno']" />
<xsl:variable name="company_name"
 select="/document/group[@type='cr:Company Data']/group[@type='cr:Summary']/item[@type='name']" />

  <xsl:template match="/">
    <xsl:apply-templates select="/document/group[@type='cr:Company Data']" />
  </xsl:template>

  <xsl:template match="/document/group[@type='cr:Company Data']">
    <html> 
    <head> 
<!--
<link rel="stylesheet" href="credit_report.css" type="text/css"/>
span.pre
{ 
  font-family: "Courier New", Courier, mono; 
  font-size: 90%;
}
span.pre-small
{ 
  font-family: "Courier New", Courier, mono; 
  font-size: 50%;
}
  background-color:#d3d3d3;
-->
<style type="text/css">
.light-grey
{
  background-color:#f0f0f0;
}
</style>
    <title>IGK Credit Report on:
<xsl:value-of select="$company_igkno" /> : 
<xsl:value-of select="$company_name" />
    </title>
    </head> 
    <body bgcolor="#ffffff">
<table cellSpacing="0" cellPadding="0" width="675">
<colgroup><col width="140"/><col width="10"/><col width="500"/></colgroup>

      <xsl:call-template name="do_report" />

</table>
    </body>
    </html>
  </xsl:template>

  <xsl:template name="do_report">
    <xsl:apply-templates select="group[@type='cr:Identification']" />
    <xsl:apply-templates select="group[@type='cr:PreviousNames']" />
    <xsl:apply-templates select="group[@type='cr:Address']" />
    <xsl:apply-templates select="group[@type='cr:LegalAddress']" />
    <xsl:apply-templates select="group[@type='cr:OtherAddresses']" />
    <xsl:apply-templates select="group[@type='cr:Contacts']" />
    <xsl:apply-templates select="group[@type='cr:Summary']" />
    <xsl:apply-templates select="group[@type='cr:Liquidation']" />
    <xsl:apply-templates select="group[@type='cr:Foundation']" />
    <xsl:apply-templates select="group[@type='cr:RegistrationData']" />
    <xsl:apply-templates select="group[@type='cr:OtherRegistrations']" />
    <xsl:apply-templates select="group[@type='cr:LegalForm']" />
    <xsl:apply-templates select="group[@type='cr:Capital']" />
    <xsl:apply-templates select="group[@type='cr:Shareholders']" />
<!--
    <xsl:apply-templates select="group[@type='cr:Managers']" />
-->
    <xsl:if test="group[@type='cr:ManagersTopComment']
               or group[@type='cr:ManagersSupervisoryBoard']
               or group[@type='cr:ManagersExecutives']
               or group[@type='cr:ManagersBottomComments']
               or group[@type='cr:SignatureRight'] ">
      <tr><td colspan="3"><strong><xsl:value-of select="'Board / Executives'"/></strong></td></tr>
      <xsl:call-template name="tr_empty"/>

      <xsl:apply-templates select="group[@type='cr:ManagersTopComments']" />
      <xsl:apply-templates select="group[@type='cr:ManagersSupervisoryBoard']" />
      <xsl:apply-templates select="group[@type='cr:ManagersExecutives']" />
      <xsl:apply-templates select="group[@type='cr:ManagersBottomComments']" />
      <xsl:apply-templates select="group[@type='cr:SignatureRight']" />
    </xsl:if>

    <xsl:apply-templates select="group[@type='cr:ChangesInRegistrData']" />
    <xsl:apply-templates select="group[@type='cr:Activities']" />
    <xsl:apply-templates select="group[@type='cr:Employees']" />
    <xsl:apply-templates select="group[@type='cr:EmployeesHistory']" />
    <xsl:apply-templates select="group[@type='cr:Export']" />
    <xsl:apply-templates select="group[@type='cr:Import']" />
    <xsl:apply-templates select="group[@type='cr:ExportImport']" />

    <xsl:if test="group[@type='cr:AssetsImmovable'] or group[@type='cr:AssetsOther']">
      <tr><td colspan="3"><strong><xsl:value-of select="'Known Assets'"/></strong></td></tr>
      <xsl:call-template name="tr_empty"/>
    </xsl:if>
    <xsl:apply-templates select="group[@type='cr:AssetsImmovable']" />
    <xsl:apply-templates select="group[@type='cr:AssetsOther']" />
    <xsl:apply-templates select="group[@type='cr:Branches']" />
    <xsl:apply-templates select="group[@type='cr:Participation']" />
    <xsl:apply-templates select="group[@type='cr:Bankers']" />
    <xsl:apply-templates select="group[@type='cr:Clients']" />
    <xsl:apply-templates select="group[@type='cr:Suppliers']" />
    <xsl:apply-templates select="group[@type='cr:RelatedCompanies']" />
    <xsl:apply-templates select="group[@type='cr:Defaults']" />
    <xsl:apply-templates select="group[@type='cr:Debts']" />
    <xsl:apply-templates select="group[@type='cr:Pledges']" />
    <xsl:apply-templates select="group[@type='cr:FinancialData']" />
    <xsl:apply-templates select="group[@type='cr:Publications']" />
    <xsl:apply-templates select="group[@type='cr:Comments']" />
    <xsl:apply-templates select="group[@type='cr:EventsHistory']" />
    <xsl:apply-templates select="group[@type='cr:RegistrationHistory']" />
    <xsl:apply-templates select="group[@type='cr:LegalFormHistory']" />
    <xsl:apply-templates select="group[@type='cr:CapitalHistory']" />
    <xsl:if test="group[@type='cr:FinancialStatements']">
      <tr><td colspan="3"><strong><xsl:value-of select="'APPENDIX A'"/></strong></td></tr>
      <xsl:call-template name="tr_empty"/>
    </xsl:if>
    <xsl:apply-templates select="group[@type='cr:FinancialStatements']" />
<tr><td colspan="3"><hr/></td></tr>
<tr><td colspan="3"><center><pre>* * *   E N D   O F   R E P O R T   * * *</pre></center></td></tr>
  </xsl:template>

  <xsl:include href="ag_replace.xsl" />
  <xsl:include href="row_timestamps.xsl" />
  <xsl:include href="row_address.xsl" />
  <xsl:include href="cr_summary.xsl" />

  <xsl:include href="a2addre.xsl" />
  <xsl:include href="a2addre_l.xsl" />
  <xsl:include href="a2addre_o.xsl" />
  <xsl:include href="a2capit.xsl" />
  <xsl:include href="a2conts.xsl" />
  <xsl:include href="a2evehi_l.xsl" />
  <xsl:include href="a2evehi_f.xsl" />
  <xsl:include href="a2legal.xsl" />

  <xsl:include href="a2names.xsl" />
  <xsl:include href="a2names_h.xsl" />

  <xsl:include href="a2regis.xsl" />
  <xsl:include href="a2regis_o.xsl" />
  <xsl:include href="a2shold.xsl" />
  <xsl:include href="a2mangr_a.xsl" />
  <xsl:include href="a2mangr_b.xsl" />
  <xsl:include href="a2mangr_e.xsl" />
  <xsl:include href="a2mangr_s.xsl" />
  <xsl:include href="a2mangr_z.xsl" />

  <xsl:include href="a2regch.xsl" />
  <xsl:include href="a2activ.xsl" />
  <xsl:include href="a2emplo.xsl" />
  <xsl:include href="a2emplo_h.xsl" />
  <xsl:include href="a2impex_e.xsl" />
  <xsl:include href="a2impex_i.xsl" />
  <xsl:include href="a2impex.xsl" />
  <xsl:include href="a2asset_i.xsl" />
  <xsl:include href="a2asset_o.xsl" />
  <xsl:include href="a2branc.xsl" />
  <xsl:include href="a2subsi.xsl" />
  <xsl:include href="a2banks.xsl" />
  <xsl:include href="a2clien.xsl" />
  <xsl:include href="a2partn.xsl" />
  <xsl:include href="a2relco.xsl" />
  <xsl:include href="a2defau.xsl" />
  <xsl:include href="a2incas.xsl" />
  <xsl:include href="a2pledg.xsl" />
  <xsl:include href="a2finan.xsl" />
  <xsl:include href="a2publi.xsl" />
  <xsl:include href="a2comms.xsl" />
  <xsl:include href="a2evehi_h.xsl" />
  <xsl:include href="a2regis_h.xsl" />
  <xsl:include href="a2legal_h.xsl" />
  <xsl:include href="a2capit_h.xsl" />
  <xsl:include href="a2finan_s.xsl" />

<!-- tr: empty row - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

  <xsl:template name="tr_empty">
    <tr><td colspan="3"><br/></td></tr>
  </xsl:template>

<!-- td: comment with NL preserved - - - - - - - - - - - - - - - - - - - - - -->

  <xsl:template name="td_comment">
    <td>
      <xsl:call-template name="ag_replace">
        <xsl:with-param name="String"  select="item[@type='comm']"/>
        <xsl:with-param name="Pattern" select="$NL"/>
        <xsl:with-param name="Replace" select="$BR"/>
      </xsl:call-template>
    </td>
  </xsl:template>

  <xsl:template name="td_comment_pre">
    <td>
<xsl:text disable-output-escaping="yes">&lt;pre&gt;</xsl:text>
<!-- lines are already restricted in length - in pl/sql -->
      <xsl:value-of select="item[@type='comm']"/>
    </td>
  </xsl:template>

<!-- value output  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<xsl:template name="PutData">
<xsl:param name="Value"/>
<xsl:param name="Mandatory" select="'false'" />
  <xsl:choose>
    <xsl:when test="$Value != ''">
      <xsl:value-of select="$Value"/>
    </xsl:when>
    <xsl:when test="$Mandatory = 'true'">
n/a
    </xsl:when>
    <xsl:otherwise/>
  </xsl:choose>
</xsl:template>

<xsl:template name="PutData.pre">
<xsl:param name="Value"/>
<xsl:text disable-output-escaping="yes">&lt;pre&gt;</xsl:text>
<xsl:value-of select="$Value"/>
</xsl:template>

<xsl:template name="PutData.pre.currency">
<xsl:param name="Value"/>
<xsl:param name="Degree"/>
<xsl:text disable-output-escaping="yes">&lt;pre&gt;</xsl:text>
<xsl:choose>
  <xsl:when test="$Degree='3'"> th </xsl:when>
  <xsl:when test="$Degree='6'"> mio </xsl:when>
  <xsl:otherwise/>
</xsl:choose>
<xsl:value-of select="$Value"/>
</xsl:template>

<xsl:template name="PutData.pre.small">
<xsl:param name="Value"/>
<xsl:text disable-output-escaping="yes">&lt;pre&gt;&lt;small&gt;</xsl:text>
<xsl:value-of select="$Value"/>
</xsl:template>


</xsl:stylesheet>
