<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" indent="yes" encoding="UTF-8"/>
  <xsl:strip-space elements="*" />

<xsl:template name="row_address">
<xsl:param name="Ttype" select="'type'"></xsl:param>
<xsl:param name="Tname" select="'name'"></xsl:param>
<xsl:param name="Tcoun" select="'country'"></xsl:param>
<xsl:param name="Tcity" select="'city'"></xsl:param>
<xsl:param name="Tzip"  select="'zip'"></xsl:param>
<xsl:param name="Taddr" select="'address'"></xsl:param>

  <xsl:variable name="Type" select="../item[@type=$Ttype]"/>
  <xsl:variable name="Name" select="../item[@type=$Tname]"/>
  <xsl:variable name="Coun" select="../item[@type=$Tcoun]"/>
  <xsl:variable name="City" select="../item[@type=$Tcity]"/>
  <xsl:variable name="Zip"  select="../item[@type=$Tzip]"/>
  <xsl:variable name="Addr" select="../item[@type=$Taddr]"/>

  <xsl:if test="$Type">
<xsl:value-of select="$Type"/>
  </xsl:if>

  <xsl:if test="$Name">
    <xsl:if test="$Type"> </xsl:if>
<xsl:value-of select="$Name"/>
  </xsl:if>

  <xsl:if test="($Type|$Name) and ($Addr|$City|$Zip|$Coun)">, </xsl:if>

  <xsl:if test="$Addr">
<xsl:value-of select="$Addr"/>
<xsl:if test="$City|$Zip|$Coun">, </xsl:if>
  </xsl:if>

  <xsl:if test="$City">
<xsl:value-of select="$City"/>
<xsl:if test="$Zip|$Coun">, </xsl:if>
  </xsl:if>

  <xsl:if test="$Zip">
<xsl:value-of select="$Zip"/>
<xsl:if test="$Coun">, </xsl:if>
  </xsl:if>

  <xsl:if test="$Coun">
<xsl:value-of select="$Coun"/> 
  </xsl:if>

</xsl:template>

</xsl:stylesheet>
