<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" indent="yes" encoding="UTF-8"/>
  <xsl:strip-space elements="*" />

<!--
<xsl:text disable-output-escaping="yes">
</xsl:text>
<xsl:param name="prefix"><xsl:text disable-output-escaping="yes">&lt;tr&gt;&lt;td/&gt;&lt;td/&gt;&lt;td&gt;&lt;i&gt;</xsl:text></xsl:param>
<xsl:param name="postfix"><xsl:text disable-output-escaping="yes">&lt;/i&gt;&lt;/td&gt;&lt;/tr&gt;</xsl:text></xsl:param>
<xsl:param name="prefix" select="'&lt;xsl:text disable-output-escaping=&quot;yes&quot;&gt;&lt;tr&gt;&lt;td/&gt;&lt;td/&gt;&lt;td&gt;&lt;i&gt;&lt;/xsl:text&gt;'"/>
<xsl:param name="postfix" select="'&lt;xsl:text disable-output-escaping=&quot;yes&quot;&gt;&lt;/i&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/xsl:text&gt;'"/>
-->

<xsl:template name="row_timestamps">

  <xsl:variable name="Date2"    select="item[@type='row.timestamp']"/>
  <xsl:variable name="Date3"    select="item[@type='row.cancelled']"/>
  <xsl:variable name="Date3s"   select="item[@type='is.row.cancelled.since']"/>

  <xsl:choose>
    <xsl:when test="$Date2">
<xsl:text disable-output-escaping="yes">
&lt;tr&gt;&lt;td/&gt;&lt;td/&gt;&lt;td&gt;&lt;i&gt;
</xsl:text>
(the data as of <xsl:value-of select="$Date2"/>
    </xsl:when>
    <xsl:when test="$Date3">
<xsl:text disable-output-escaping="yes">
&lt;tr&gt;&lt;td/&gt;&lt;td/&gt;&lt;td&gt;&lt;i&gt;
</xsl:text>
(the data cancelled
    </xsl:when>
    <xsl:otherwise/>
  </xsl:choose>

  <xsl:choose>
    <xsl:when test="$Date3">
      <xsl:if test="$Date2">, cancelled</xsl:if>
      <xsl:choose>
        <xsl:when test="$Date3s='true'"> since </xsl:when>
        <xsl:when test="$Date3s='false'"> as of </xsl:when>
        <xsl:otherwise/>
      </xsl:choose>
<xsl:value-of select="$Date3"/>)
<xsl:text disable-output-escaping="yes">
&lt;/i&gt;&lt;/td&gt;&lt;/tr&gt;
</xsl:text>
    </xsl:when>
    <xsl:when test="$Date2">)
<xsl:text disable-output-escaping="yes">
&lt;/i&gt;&lt;/td&gt;&lt;/tr&gt;
</xsl:text>
    </xsl:when>
    <xsl:otherwise/>
  </xsl:choose>

</xsl:template>

</xsl:stylesheet>
